%global goipath         github.com/go-delve/delve
%global gobuild         go build -mod=vendor -buildmode=pie -ldflags "-s -w -linkmode=external -extldflags '-Wl,-z,relro -Wl,-z,now'"
%global debug_package   %{nil}

Name:           delve		
Version:        1.22.0
Release:        1
Summary:        A debugger for the Go programming language
License:        MIT
URL:            https://github.com/go-delve/delve
Source0:        https://github.com/go-delve/delve/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc glibc
BuildRequires:  golang >= 1.16 
Requires:       glibc

Provides: %{name} = %{version}-%{release}

%description
delve is a debugger for the Go programming language

%package_help

%prep
%setup -q

%build
%gobuild -o _bin/dlv %{goipath}/cmd/dlv

%install
install -d %{buildroot}%{_bindir}
install -m 0755 _bin/dlv %{buildroot}%{_bindir}/dlv

%clean
rm -rf %{buildroot}

%files 
%{_bindir}/dlv
%license LICENSE
%doc CONTRIBUTING.md CHANGELOG.md README.md


%files help
%doc Documentation/*

%changelog
* Thu Feb 22 2024 liyanan <liyanan61@h-partners.com> - 1.22.0-1
- Upgrade version to 1.22.0

* Tue Sep 26 2023 xu_ping <707078654@qq.com> - 1.21.0-1
- Upgrade version to 1.21.0

* Thu Feb 09 2023 wangkai <wangkai385@h-partners.com> - 1.9.1-2
- Add PIE,BIND_NOW,RELRO,STRIP secure compilation options

* Mon Aug 29 2022 jinzhiguang <jinzhiguang@kylinos.cn> - 1.9.1-1
- update to v1.9.1

* Fri Jan 29 2021 fcwicky <307610302@qq.com> - 1.6.0-1
- update package to v1.6.0

* Tue Oct 13 2020 Qingqing Li <liqingqing3@huawei.com> - 1.5.0-2
- update source0

* Mon Aug 17 2020 fcwicky <307610302@qq.com> - 1.5.0-1
- Udpate package to v1.5.0

* Fri Apr 10 2020 fcwicky <307610302@qq.com> - 1.4.0-1
- Package init
